Page MenuHomePhabricator

[NFC][AArch64][CodeGen] Add fixed-width vector tests for get.active.lane.mask
ClosedPublic

Authored by david-arm on Jan 5 2022, 1:48 AM.

Details

Summary

In practice we don't expect to see the get.active.lane.mask intrinsic
being used for fixed-width vectors, but we should at least be able
to generate code for it. This patch simply adds some fixed-width tests
to an existing file:

CodeGen/AArch64/active_lane_mask.ll

Diff Detail

Event Timeline

david-arm created this revision.Jan 5 2022, 1:48 AM
david-arm requested review of this revision.Jan 5 2022, 1:48 AM
Herald added a project: Restricted Project. · View Herald TranscriptJan 5 2022, 1:48 AM
Matt added a subscriber: Matt.Jan 7 2022, 7:33 AM
This revision is now accepted and ready to land.Jan 12 2022, 8:35 AM
This revision was landed with ongoing or failed builds.Jan 13 2022, 12:53 AM
This revision was automatically updated to reflect the committed changes.